Subject: Re: GTK Emacs stops reacting to keyboard events after cancelling menu by hitting Escape

From: Jan Djärv <[email-masked]>
Date: Thu, 24 Jul 2008 10:47:19 +0200

Chong Yidong skrev:
> Hi Jan,
> 
> Could you take a look at this?

I've checked in a fix.  I haven't kept up with Emacs, it has been a busy
summer, and on top of that I broke my hand.  So if you can put this bug in its
proper state, I'd be greatful.  I'll get back into it in the fall.

	Jan D.

> 
>> 0) Make sure you run GTK Emacs and the main menu is on.
>>
>> 1) Click on any main menu item. The drop-down menu with child items
>>    will appear.
>>
>> 2) Move mouse down so it is over one of the child items (but not
>>    separator).
>>
>> 3) Hit Escape to cancel the menu. The menu will disappear (it is the
>>    expected behavior).
>>
>> 4) Press any key. Nothing happens.
>>
>> 5) Click on Emacs buffer. Nothing happens. Emacs looks frozen.
>>
>> To workaround:
>>
>> Click on any main menu item and hit Escape *immediately*. Emacs is
>> back to life.